module write_edge_m

  implicit none

contains

  subroutine write_edge(cyclone, k1, i1, k2, i2, w)

    use unit_edge_m, only: unit_edge_cyclo, unit_edge_anti

    logical, intent(in):: cyclone
    integer, intent(in):: k1, i1, k2, i2
    real, intent(in):: w

    ! Local:
    integer unit_edge

    !--------------------------------------------------------------------

    unit_edge = merge(unit_edge_cyclo, unit_edge_anti, cyclone)
    write(unit_edge, fmt = *) k1, i1, k2, i2, w
    
  end subroutine write_edge

end module write_edge_m
